PC Banking Requirements

Online banking at Security Bank of Kansas City is designed to use important security features. It is important to keep your personal computer up to date with current operating system and browser to ensure the safest use of Internet services.

Online banking minimum system and software requirements

To access online banking at Security Bank of Kansas City you will need a personal computer with Internet access, a current web browser and a printer if you wish to print statements or disclosures. Additionally, a current version of Adobe Acrobat Reader is required for viewing/printing of statements and disclosure documents. If you do not have Adobe Acrobat Reader you may download a free copy at https://get.adobe.com/reader/.

As a reminder, Microsoft has discontinued support of Windows XP. If you are still using Windows XP, please consider upgrading your operating system to a current version to ensure your computer is not at risk.

Minimum browser requirements for accessing online banking at Security Bank of Kansas City

Online banking is supported on the current and first prior major release versions, currently the following:

Browser Version
Microsoft Internet Explorer IE 10, 11
Firefox 50.0, 49.0
Google Chrome 54, 53
Safari (Apple/Mac Users Only)
OS x 10.8 (Mountain Lion) 6.1, 6.2
OS x 10.9 (Maverick) 7.0, 7.1
OX x 10.0 (Yosemite) 8

The above browsers are for use on personal computer devices (i.e., desktop and laptop), and do not apply to the use of mobile devices (i.e., phones or tablets). If you use a phone or tablet to access online banking outside of an app, functionality and appearance may vary from the personal computer browser experience.

Note: Other browsers not listed may be used, but they are not recommended and may not support some of the features of Security Bank of Kansas City’s online banking systems.